Class PutObject.Request
java.lang.Object
io.helidon.integrations.common.rest.ApiJsonBuilder<T>
io.helidon.integrations.common.rest.ApiJsonRequest<T>
io.helidon.integrations.oci.connect.OciRequestBase<T>
io.helidon.integrations.oci.objectstorage.ObjectRequest<PutObject.Request>
io.helidon.integrations.oci.objectstorage.PutObject.Request
- All Implemented Interfaces:
ApiRequest<PutObject.Request>
- Enclosing class:
- PutObject
Request object. Can be configured with additional headers, query parameters etc.
-
Method Summary
Modifier and TypeMethodDescriptionstatic PutObject.Requestbuilder()Fluent API builder for configuring a request.longContent lenght configured on this request.contentLength(long contentLength) The content length of the body (number of bytes in the request entity).toJson(JsonBuilderFactory factory) Create a JSON object from this builder.Methods inherited from class io.helidon.integrations.oci.objectstorage.ObjectRequest
bucket, bucket, namespace, namespace, objectName, objectNameMethods inherited from class io.helidon.integrations.oci.connect.OciRequestBase
add, endpoint, endpoint, hostFormat, hostPrefix, retryTokenMethods inherited from class io.helidon.integrations.common.rest.ApiJsonRequest
addHeader, addQueryParam, headers, queryParams, requestId, requestId, requestMediaType, requestMediaType, responseMediaType, responseMediaTypeMethods inherited from class io.helidon.integrations.common.rest.ApiJsonBuilder
add, add, add, add, add, add, addBase64, addToArray, addToArray, addToArray, addToArray, addToArray, addToArray, addToObject, addToObject, addToObject, addToObject, addToObject, emptyArray, me, postBuild, preBuild
-
Method Details
-
builder
Fluent API builder for configuring a request. The request builder is passed as is, without a build method. The equivalent of a build method istoJson(jakarta.json.JsonBuilderFactory)used by theRestApi.- Returns:
- new request builder
-
contentLength
The content length of the body (number of bytes in the request entity). Required.- Parameters:
contentLength- content length- Returns:
- updated request
-
contentLength
public long contentLength()Content lenght configured on this request.- Returns:
- content lenght, must be preset
-
toJson
Description copied from class:ApiJsonBuilderCreate a JSON object from this builder.- Specified by:
toJsonin interfaceApiRequest<PutObject.Request>- Overrides:
toJsonin classApiJsonBuilder<PutObject.Request>- Parameters:
factory- builder factory to create objects- Returns:
- JSON object or empty
-